curl --request POST \
--url 'https://api.nsr.stateset.com/v1/ingest/jobs' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"compute_embeddings": true,
"file_id": "string",
"input_text": "string",
"metadata": {},
"source_locator": "string",
"source_type": "string",
"structured": {
"entities": [
{
"entity_type": null,
"name": null,
"properties": null
}
],
"rules": [
{
"body": null,
"confidence": null,
"description": null,
"head_args": null,
"head_predicate": null,
"name": null
}
],
"triples": [
{
"confidence": null,
"object_id": null,
"predicate": null,
"subject_id": null
}
]
}
}'
{
"completed_at": 1,
"created_at": 1,
"entity_ids": [
"string"
],
"errors": [
"string"
],
"evidence_ids": [
"string"
],
"file_id": "string",
"id": "string",
"object": "string",
"rule_ids": [
"string"
],
"status": "string",
"summary": {
"entities_created": 1,
"evidence_nodes_created": 1,
"files_processed": 1,
"rules_created": 1,
"source_id": "string",
"triples_created": 1
},
"warnings": [
"string"
]
}
Create an ingest job handler
Required scope: write
POST
/
v1
/
ingest
/
jobs
curl --request POST \
--url 'https://api.nsr.stateset.com/v1/ingest/jobs' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"compute_embeddings": true,
"file_id": "string",
"input_text": "string",
"metadata": {},
"source_locator": "string",
"source_type": "string",
"structured": {
"entities": [
{
"entity_type": null,
"name": null,
"properties": null
}
],
"rules": [
{
"body": null,
"confidence": null,
"description": null,
"head_args": null,
"head_predicate": null,
"name": null
}
],
"triples": [
{
"confidence": null,
"object_id": null,
"predicate": null,
"subject_id": null
}
]
}
}'
{
"completed_at": 1,
"created_at": 1,
"entity_ids": [
"string"
],
"errors": [
"string"
],
"evidence_ids": [
"string"
],
"file_id": "string",
"id": "string",
"object": "string",
"rule_ids": [
"string"
],
"status": "string",
"summary": {
"entities_created": 1,
"evidence_nodes_created": 1,
"files_processed": 1,
"rules_created": 1,
"source_id": "string",
"triples_created": 1
},
"warnings": [
"string"
]
}
Required scope:
write
Request body
CreateIngestJobRequest
boolean
string
string
object
string
string
object
Response
IngestJobResponse
integer (int64)
integer (int64)
required
string[]
string[]
string[]
string
string
required
string
required
string[]
string
required
IngestJobSummary
required
string[]
Status codes
| Code | Meaning |
|---|---|
201 | Ingest job created |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/v1/ingest/jobs' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"compute_embeddings": true,
"file_id": "string",
"input_text": "string",
"metadata": {},
"source_locator": "string",
"source_type": "string",
"structured": {
"entities": [
{
"entity_type": null,
"name": null,
"properties": null
}
],
"rules": [
{
"body": null,
"confidence": null,
"description": null,
"head_args": null,
"head_predicate": null,
"name": null
}
],
"triples": [
{
"confidence": null,
"object_id": null,
"predicate": null,
"subject_id": null
}
]
}
}'
{
"completed_at": 1,
"created_at": 1,
"entity_ids": [
"string"
],
"errors": [
"string"
],
"evidence_ids": [
"string"
],
"file_id": "string",
"id": "string",
"object": "string",
"rule_ids": [
"string"
],
"status": "string",
"summary": {
"entities_created": 1,
"evidence_nodes_created": 1,
"files_processed": 1,
"rules_created": 1,
"source_id": "string",
"triples_created": 1
},
"warnings": [
"string"
]
}